<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{ $store.state.locale.contacts }}</div>
						<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#modalInfo" @click="resetForm();  actionType = 1"
								v-if="can('settings_contacts', 'Edit')">
							{{ $store.state.locale.add }}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th>Id</th>
									<th>{{ $store.state.locale.phoneNumber }}</th>
									<th>{{ $store.state.locale.insideNumber }}</th>
									<th>{{ $store.state.locale.position }}</th>
									<!--<th>{{ $store.state.locale.organization }}</th>-->

									<th class="w-40"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="(item, key) in modelList" v-if="modelList">
									<td>{{ key + 1 }}</td>
									<td>{{ item.number }}</td>
									<td>{{ item.numberInside }}</td>
									<td>{{ item.position }}</td>
									<!--<td>{{ orgList.find(x => x.id === item.orgId) ? orgList.find(x => x.id === item.orgId).name : '-&#45;&#45;' }}</td>-->

									<td v-if="can('settings_contacts', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" data-toggle="modal" data-target="#modalInfo" @click="readContact(item.id)">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="deleteContact(item.id)">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{ $store.state.locale.contacts }}</div>
						</div>

						<div class="modal-body">
							<form @submit.prevent="">
								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.phoneNumber }}</label>
									<input type="number" class="form-control base_input spinner" v-model="request.number" required>
								</div>
								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.insideNumber }}</label>
									<input type="number" class="form-control base_input spinner" v-model="request.numberInside" required>
								</div>
								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.position }}</label>
									<input type="text" class="form-control base_input" v-model="request.position" required>
								</div>

								<div>
									<button type="submit" class="login_main_sign_btn base_modal_btn" @click="addContact" v-if="actionType === 1">
										{{$store.state.locale.add}}
									</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn success" @click="updateContact" v-if="actionType === 2">
										{{$store.state.locale.update}}
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<script src="./script.js"></script>

<style scoped>

</style>